petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISRestoreIndicesF90

Restores an index set to a usable state after a call to ISGetIndicesF90().

### Synopsis

    ISRestoreIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

Not collective Many br

### Input Parameters

x -index set Many br
xx_v -the Fortran90 pointer to the array Many br

### Output Parameter

ierr -error code Many br

### Example of Usage

        PetscScalar, pointer xx_v(:)
        ....
        call ISGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISRestoreIndicesF90(x,xx_v,ierr)

Many br

### Notes

Not yet supported for all F90 compilers. Many br

Many br

### See Also

ISGetIndicesF90(), ISGetIndices(), ISRestoreIndices()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex1f90.F.html
src/vec/is/is/examples/tutorials/ex3f90.F.html